Ticket #37413

Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

sendlnbroadcastの動作

Open Date: 2017-08-01 18:55 Last Update: 2017-08-26 22:21

Reporter: doda Owner: (None)
Type: Bugs Status: Closed
Component: Tera Term Macro MileStone: Tera Term 4.96 (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

sendln と sendlnbroadcast で複数のパラメータを指定した時の挙動(改行の入れ方)が違う。

sendln "echo 1" "echo 2" "echo 3"
==> 結果 <==
echo 1echo 2echo 3

sendlnbroadcast "echo 1" "echo 2" "echo 3"
==> 結果 <==
echo 1
echo 2
echo 3
似たようなコマンドで動作が違うのは紛らわしくないか? 動作を修正すべきか検討が必要。

cf. [Ttssh2-devel 3328]

動作的には sendlnbroadcast の方が自然に思う。

sendln は少なくとも Tera Term Pro 2.0 には既に実装されていたので、今から動作を変更するのは難しいか。

sendlnbroadcast の実装は 4.62 で 8年前だが、#37401 の影響で 4.63 以降は実質的に動いていなかった。

この事からほぼ利用されていないと思われるので、4.96 リリース前ならば動作を変えられるのではないか。

Attachment File List

No attachments

Ticket History (3/4 Histories)

2017-08-01 18:55 Updated by: doda
  • New Ticket "sendlnbroadcastの動作" created
2017-08-01 20:19 Updated by: doda
  • Details Updated
2017-08-17 23:30 Updated by: doda
  • Resolution Update from None to Fixed
Comment

r6897 で sendln の動作に合わせるように変更。

悩んだけれど、

sendlnbroadcast
のようにパラメータ無しの時に何も送られない(sendlnだと改行が送られる)のも考慮して sendln に合わせるようにした。

2017-08-26 22:21 Updated by: doda
  • Ticket Close date is changed to 2017-08-26 22:21
  • Status Update from Open to Closed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login